{% extends 'shared/layout.html' %}
{% load static %}
<!-- Load custom filters from shared app, including ISO 8901 Date-Time Converter -->
{% load custom_filters %}
<!-- Load markdownify -->
{% load markdownify %}
<!-- Start Page Render -->
<!-- Extra links block for pages that have a user_identifier piped to them.-->
{% block extra_links %}
  {% include 'shared/extend_sidebar.html' %}
{% endblock %}

{% block h3 %}
    <h3> Anon-Ticket Project List </h3>

{% endblock %}
{% block subheader %} 
  The projects below are receiving anonymous reports via Anon-Ticket. 
  Click on any project to see a detail page, or you can click "Link 
  on Gitlab" to see its Gitlab page.
{% endblock %}

{% block content %}
<!-- Generate the Projects table -->
<div class="row">
    <div class="col-12">
        <table class="table ml-2 mr-2 mt-3 mb-3">
            <thead>
                <th>
                    Group / Name
                </th>
                <th>
                    Description
                </th>
                <th>
                    See On Gitlab
                </th>
            </thead>
            {% for project in project_list %}
            <tr>
                <td>
                    {% url 'project-detail' project.slug 1 as project_detail_url %}
                    <a href="{{project_detail_url}}">
                    {{project.name_with_namespace}}</a>
                </td>
                <td>{% if project.description %}
                    {{project.description|truncatewords:15}}
                    {% else %}
                    <span class="text-muted">(No description provided.)</span>
                    {% endif %}
                </td>
                <td>
                    <a href="{{project.url}}">Link on Gitlab</a>
                </td>
            </tr>
            {% endfor %}
        </table>
    </div>
</div>

<!-- Generate a Back to Landing URL Link -->
{% url 'user-landing' as go_back_url %}
<div>
  <p class="mt-3">
    <a href="{{go_back_url}}">Go Back to User Landing Page</a>
  </p>
</div>
{% endblock %}